libfann (2.2.0+ds-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on cmake.
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Christian Kastner ]
  * Add missing Build-Depends-Package fields to symbols file
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Bump copyright

 -- Christian Kastner <ckk@debian.org>  Sun, 18 Dec 2022 21:58:03 +0100

libfann (2.2.0+ds-7) unstable; urgency=medium

  * Fix d/watch
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility to 13
  * Mark autopkgtest as superficial

 -- Christian Kastner <ckk@debian.org>  Fri, 04 Mar 2022 20:25:11 +0100

libfann (2.2.0+ds-6) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)
  * Add Build-Depends-Package to symbols file

 -- Christian Kastner <ckk@debian.org>  Wed, 23 Oct 2019 15:17:15 +0200

libfann (2.2.0+ds-5) unstable; urgency=medium

  * Fix broken paths in examples
    The examples moved from the -doc to the -dev package in -4, but this was
    overlooked in the examples' Makefile, docs, and dataset paths
  * d/rules: Drop excluding .js from dh_compress, it's the default in compat 12
  * gbp.conf: Set pristine-tar, sign-tags options
  * d/control: Switch to https in Homepage field
  * Remove cruft references to former binary package libfann-dbg

 -- Christian Kastner <ckk@debian.org>  Wed, 20 Feb 2019 20:29:30 +0100

libfann (2.2.0+ds-4) unstable; urgency=medium

  * d/watch:
    - Update to format version 4
  * d/control:
    - Bump Standards-Version to 4.3.0
      No changes strictly needed, but get-orig-source was dropped
    - Update Vcs-* URLs to point to Salsa
    - Switch Build-Depends from debhelper to debhelper-compat
    - Bump Build-Depends for debhelper to 12
    - Set libfann-doc to Multi-Arch: foreign
  * d/compat:
    - Drop, as made obsolete by debhelper-compat
  * d/rules:
    - Switch from dh_install to dh_missing
    - Drop get-orig-source target
      We only had it to support Files-Excluded in a separate file, but it
      appears as though this has become maintstream
    - Drop override_dh_strip, it was only needed for the dbgsym migration
    - Fixup paths for doc-main-package (debhelper compat >= 11)
      The libfann-doc package now installs its files into
      /usr/share/doc/libfann-dev
  * d/tests/build:
    - Rename ADT_TMP to AUTOPKGTEST_TMP
      ADT_* variables were renamed in autopkgtest (4.0)
  * d/copyright:
    - Add Files-Excluded to make uscan exclude Windows binaries
    - Bump copyrights
    - Source is GitHub now, not SourceForge
      This change was overlooked in the upgrade to libfann-2.2.0
    - Use https for MRCF policy link
  * d/source/lintian-overrides:
    - Drop, as no longer needed. debian-watch-may-check-gpg-signature has been
      marked as experimental, and no longer shows up

 -- Christian Kastner <ckk@debian.org>  Mon, 04 Feb 2019 18:36:32 +0100

libfann (2.2.0+ds-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTCBFS: Honour DEB_BUILD_OPTIONS=nocheck based on a
    patch by Helmut Grohne. (Closes: #864564)
  * Set Rules-Requires-Root to no to declare that libfann does not
    need (fake)root for building its debs.

 -- Niels Thykier <niels@thykier.net>  Tue, 01 Jan 2019 17:40:08 +0000

libfann (2.2.0+ds-3) unstable; urgency=medium

  * Drop package libfann-dbg in favor of automatic dbgsym packages, as per
    https://lists.debian.org/debian-devel/2015/12/msg00262.html
  * d/control:
    - Switch to secure URIs in Vcs-* fields
    - Bump Standards-Version to 3.9.8 (no changes needed)
  * d/rules:
    - Improve version parsing
    - Add hardening=+all,-pie to DEB_BUILD_MAINT_OPTIONS
  * d/copyright:
    - Bump copyright years

 -- Christian Kastner <ckk@debian.org>  Sun, 24 Apr 2016 17:24:51 +0200

libfann (2.2.0+ds-2) unstable; urgency=medium

  * d/rules:
    - Build result uses DEB_HOST_GNU_TYPE, not DEB_HOST_MULTIARCH. Resolves a
      FTBFS on i386.

 -- Christian Kastner <ckk@debian.org>  Sun, 11 Oct 2015 19:05:02 +0200

libfann (2.2.0+ds-1) unstable; urgency=medium

  * New upstream release. Closes: #706352, LP: #1164142
    - The Python bindings have been split out into a separate source package,
      as they are now maintained by an external contributor.
    - Upstream switched to CMake as the build system
  * d/control:
    - Drop the Python packages, and all references to them
    - Drop X-Python-Version
    - Drop Build-Depends on python-all-dev, dh-python, swig
    - Replace Build-Depends on dh-autoreconf with cmake (>= 2.8.5)
    - Drop XS-Testsuite. dpkg now recognizes the Testsuite header, and
      dpkg-source automatically adds one when an autopkgtest suite is found
    - Update Vcs-Browser URL (cgit instead of gitweb on g.d.o)
    - Switch Maintainer email to my @debian.org address
  * d/rules:
    - Update for CMake build
    - Fix dh_auto_test post-execution cleanup
    - Remove all Python-related code
    - Add a get-orig-source target
  * d/copyright:
    - Remove obsolete references to authors. There is no code left in the
      package that can be attributed to these authors
    - Drop Comment documenting the DFSG cleaning; the upstream source is now
      DFSG-free. Pre-compiled Windows binaries are still removed, however;
      hence the +ds suffix
    - Relicense my own patches to LGPL-2.1+ to match upstream
    - Bump copyright years
  * libfann-doc:
    - Rework examples installation
    - Add a new example
    - Update libfann-doc.docs list
  * libfann2:
    - Add 65 new symbols to libfann2.symbols
  * d/tests:
    - Drop test "python-build"
    - Replace Depends on build-essential with libc-dev and gcc
  * d/watch:
    - Upstream moved to GitHub
    - Update for +ds suffix
  * d/TODO:
    - Drop, as there are no TODOs left
  * d/gbp.conf:
    - No patch numbers in .patch filenames
    - Use xz compression
  * d/patches:
    - Drop patch numbers from .patch filenames
  * d/patches (dropped):
    - 0001-Link-python-pyfann-dynamically-instead-of-statically.patch
      0005-Correct-a-typo-in-a-size-comparison.patch
      0007-Do-not-call-swig-unconditionally.patch
      These became obsolete as they pertained to the Python bindings
    - 0003-Patch-upstreams-Makefile.am-reflecting-Debian.patch
      0006-Include-fann_cpp.h-in-dev-package.patch
      These became obsolete through the switch to CMake
  * d/patches (updated):
    - 0002-Link-against-libm.patch
      Update for CMake
  * d/patches (added)
    - cmake-Configurable-pkgconfig-install-destination.patch
    - cmake-Build-static-libraries.patch

 -- Christian Kastner <ckk@debian.org>  Fri, 25 Sep 2015 16:44:35 +0200

libfann (2.1.0~beta+dfsg-1) unstable; urgency=medium

  * Use +dfsg modifier in version instead of the semantically incorrect ~dfsg.
    This is just a rename, there were no actual changes to the upstream source
  * Migrate git repo to Debian-Science at git.debian.org
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed)
    - Update Vcs-* URLs to point to new location
  * debian/rules:
    - Add override for dh_install and use --fail-missing
    - Drop the custom code for running Python tests and use Pybuild for that
      stage, too
  * debian/tests:
    - python-build
      + Allow selection of Python interpreter to use

 -- Christian Kastner <debian@kvr.at>  Fri, 19 Sep 2014 16:17:53 +0200

libfann (2.1.0~beta~dfsg-10) unstable; urgency=low

  * debian/control:
    - Add Build-Depends for dh-autoreconf
    - Drop Build-Depends for autotools-dev
  * debian/rules:
    - Switch from autotools-dev to dh-autoreconf. Closes: #744606
    - Call dh_auto_build for python-pyfann twice, because distutils runs
      build_py before build_ext, but build_py relies on output from build_ext
      (from SWIG), and this order cannot be changed. This is a known issue, see
      http://bugs.python.org/issue7562
    - Run "build" autopkgtest after build
    - Run "python-build" autopkgtest after build, for all supported Python
      versions
    - Fix setting of DEB_CFLAGS_MAINT_APPEND
  * debian/tests:
    - build
      + Rewrite to make use of $ADTTMP
    - python-build
      + Create (runs one of the example scripts)
  * debian/copyright:
    - Updates for my changes to debian/test/*
  * debian/patches (refreshed):
    - 0002-Link-against-libm
      Properly extend autotools setup for libm instead of using a dirty hack
    - 0006-Include-fann_cpp.h-in-dev-package
      Don't pointlessly modify Makefile.in

 -- Christian Kastner <debian@kvr.at>  Thu, 24 Apr 2014 00:51:29 +0200

libfann (2.1.0~beta~dfsg-9) unstable; urgency=low

  * debian/rules:
    - Convert to dh syntax
    - Convert Python build helper from deprecated python-support to dh_python2
    - In addition to the default "makefile" build system, use the "pybuild"
      build system for building the Python extension. This way we no longer
      have to iterate over the supported Python versions.
    - Fix FTBFS by cleaning SWIG-generated file. Closes: #643187
    - Use DEB_CFLAGS_MAINT_APPEND instead of CFLAGS
  * debian/control:
    - Bump Standards-Version to 3.9.5 (no changes needed)
    - Bump debhelper Build-Depends to (>= 9)
    - Add Multi-Arch: same to libfann2, libfann-dev, libfann-dbg
    - Add Build-Depends for dh-python
    - Add X-Python-Version with >= 2.6, thereby implicitly dropping support for
      Python 2.5 (it used to be supported in the now removed debian/pyversions).
    - Add XS-Testsuite for autopkgtest
    - Drop Build-Depends for python-support
    - Move naturaldocs to Build-Depends-Indep
    - Remove obsolete DM-Upload-Allowed field
  * debian/compat:
    - Bump debhelper compatibility level to 9
  * debian/libfann-dev.install
    debian/libfann2.install:
    - Change paths from usr/lib/ to usr/lib/*/ (for mutli-arch triplets)
  * debian/copyright:
    - Update to machine-readable format v1.0
    - Update Source: link
    - Add comment to debian/copyright explaining how DFSG-cleaning was
      performed
  * debian/test/*
    - Add autpkgtest for successful build & run against libfann. Taken from
      Ubuntu. Thanks, Vibhav Pant. Closes: #702423
  * debian/patches (added):
    - 0007-Do-not-call-swig-unconditionally
      The SWIG interface was being built on every invocation of setup.py,
      even during a mere install
  * debian/source/lintian-overrides:
    - Added override for debian-watch-may-check-gpg-signature
  * debian/watch:
    - Don't try to pattern-match beta, just match beta
    - Upstream release filename has changed
  * debian/gbp.conf
    - Created (package is based on dfsg branch, not upstream)

 -- Christian Kastner <debian@kvr.at>  Fri, 28 Mar 2014 21:33:42 +0100

libfann (2.1.0~beta~dfsg-8) unstable; urgency=low

  * debian/control:
    - Build-Depend on swig (>= 2.0.4-2) instead of swig2.0; the former has now
      taken over the /usr/bin/swig symlink. Closes: #634430

 -- Christian Kastner <debian@kvr.at>  Thu, 11 Aug 2011 00:46:29 +0200

libfann (2.1.0~beta~dfsg-7) unstable; urgency=low

  * debian/rules:
    - Convert debian/rules to regular syntax. By providing custom build-arch
      and build-indep targets, we can avoid a FTBFS. Closes: #630100
    - Honor compiler flags provided by dpkg-buildflags

 -- Christian Kastner <debian@kvr.at>  Sat, 11 Jun 2011 03:29:01 +0200

libfann (2.1.0~beta~dfsg-6) unstable; urgency=low

  * debian/rules
    debian/libfann-doc
    debian/libfann-dev
    debian/README-libfann2-examples
    debian/README-python-examples-data
    debian/example-paths.sed
    debian/Makefile.examples:
    - Moved the examples and related data to the from the libfann-dev and
      python-pyfann to the libfann-doc package. lintian was rightfully
      complaining about them being in arch: any package.
  * debian/control:
    - Now that the examples have moved, it is sufficient for libfann-dev to
      only Suggest libfann-doc
    - libfann-doc now Recommends libfann-dev, python-pyfann (so the examples
      can be used)
    - python-pyfann Suggests libfann-doc
    - Updated package descriptions
  *  debian/example-paths.sed:
    - Simplified, by using extended regular expressions
  * debian/patches added:
    - 0006-Include-fann_cpp.h-in-dev-package.patch
      This was deliberately omitted in the past due to some ambiguity regarding
      its support status. Upstream homepage says it's OK though, so we'll just
      include it. Closes: #629827

 -- Christian Kastner <debian@kvr.at>  Fri, 10 Jun 2011 02:58:53 +0200

libfann (2.1.0~beta~dfsg-5) unstable; urgency=low

  [ Christian Kastner ]
  * debian/control:
    - Build-Depend on swig2.0 (>= 2.0.3), the earliest swig2.0 version
      providing /usr/bin/swig

  [ Yaroslav Halchenko ]
  * debian/control:
    - Added DM-Upload-Allowed

 -- Christian Kastner <debian@kvr.at>  Wed, 01 Jun 2011 01:13:31 +0200

libfann (2.1.0~beta~dfsg-4) unstable; urgency=low

  * debian/control:
    - Build-Depend on swig2.0 instead of swig; fixes FTBFS with gcc-4.6.
      Closes: #625123, LP: #770839

 -- Christian Kastner <debian@kvr.at>  Mon, 09 May 2011 00:38:53 +0200

libfann (2.1.0~beta~dfsg-3) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.9.2 (changes required)
    - Updated Homepage (new location)
  * debian/rules:
    - In libtool *.la files, set dependency_libs to null string as required by
      Policy section 10.2. Closes: #621572
  * debian/copyright:
    - Updated DEP5 format to r173
    - Updated DEP5 keyword for BSD-3-clause license
   * debian/watch:
    - uversionmangle release qualifier (here: beta) instead of dversionmangle
  * debian/patches added:
    - 0005-Correct-a-typo-in-a-size-comparison
      Fixes a typo in the python wrapper. LP: #712290

 -- Christian Kastner <debian@kvr.at>  Sat, 02 Apr 2011 20:06:47 +0200

libfann (2.1.0~beta~dfsg-2) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.9.0 (no changes needed)
    - Description fixes
    - Added libfann-dbg and python-pyfann-dbg packages
    - Changed Section of source package to libs
  * debian/libfann-dev.dirs:
    - Removed because redundant to dh_install
  * debian/rules:
    - Don't handle nostrip, dh_strip handles it for us
    - Build libfann-dbg and python-pyfann-dbg with the help of dh_strip
  * debian/libfann2.symbols:
    - Initial creation
  * debian/copyright:
    - Convert to DEP5 format
    - Relicense patches to BSD
  * debian/patches:
    - Added 0004-Portable-handling-for-va_list
      Makes the use of va_list portable, fixing a FTBFS on alpha/armel/sh4.
      Closes: #588887
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Christian Kastner <debian@kvr.at>  Wed, 14 Jul 2010 22:12:27 +0200

libfann (2.1.0~beta~dfsg-1) unstable; urgency=low

  * New Maintainer. Closes: #583645
  * New upstream version 2.1.0beta
    - Closes: #366146
    - Repackaged upstream version to remove non-DFSG-compliant files
  * debian/compat:
    - Bumped debhelper compatibility to 7
  * debian/control:
    - Renamed source package from libfann2 to libfann
    - Updated package descriptions
    - Updated to Standards-Version 3.8.4
    - Build-Depend on debhelper (> 7.0.50~) and add ${misc:Depends}
    - Added Build-Depends on python-all-dev and python-support for the python
      extension
    - Added new package libfann-doc for the API HTML documentation, and make
      other package Recommend or Suggest it
    - Added Build-Depends on naturaldocs for API HTML documentation
    - Removed Build-Depends on docbook-utils (no longer supported by upstream)
    - Added Build-Depends on autotools-dev to update config.{sub,guess}
    - Added proper Conflicts: and Replaces: for older versions
    - Added Homepage field
    - Added VCS-* fields
  * debian/source/format:
    - Convert to format 3.0 (quilt)
  * debian/rules:
    - Convert to dh syntax
    - Build python extensions for all available python versions
    - Generate API HTML documentation using naturaldocs
    - Update config.{sub,guess} during build
  * debian/copyright:
    - Updated
  * debian/watch:
    - Created watch file
  * libfann2-py:
    - Rename package to Python Policy-conform python-pyfann
    - Removed debhelper helper files no longer needed because of python-support
    - Modify example paths and include instructions on how to run them
  * libfann-doc:
    - New package
    - Add doc-base entry for documentation. Closes: #297951
  * libfann2-dev:
    - Renamed to libfann-dev
    - Include training data for examples, modify their paths and include
      a Makefile + instructions on how to run them. Closes: #498227
  * debian/patches:
    - Added 0001-Link-python-pyfann-dynamically-instead-of-statically.patch
    - Added 0002-Link-against-libm.patch (Closes: #558887)
    - Added 0003-Patch-upstreams-Makefile.am-reflecting-Debian.patch
  * Upload sponsored by Yaroslav Halchenko <debian@onerussian.com>

 -- Christian Kastner <debian@kvr.at>  Mon, 07 Jun 2010 20:07:15 +0200

libfann2 (2.0.0-1) UNRELEASED; urgency=low

  * Debian package for version 2.0.0

 -- Steffen Nissen <sn@leenissen.dk>  Tue, 13 Dec 2005 23:25:14 +0100

libfann1 (1.2.0-2) UNRELEASED; urgency=low

  * Added python bindings package

 -- Vincenzo Di Massa <hawk@hawk.linuxpratico.net>  Thu, 21 Apr 2005 12:32:35 +0200

libfann1 (1.2.0-1) unstable; urgency=low

  * Debian package for version 1.2.0

 -- Steffen Nissen <lukesky@diku.dk>  Sat,  9 Oct 2004 13:46:42 +0200

libfann1 (1.1.0.1-1) unstable; urgency=low

  * rebuild with a clean tar.gz. All issues with debian/ dir in cvs
    that caused a changing orig.gz should be sorted out now.

 -- Steffen Nissen <lukesky@diku.dk>  Mon, 17 May 2004 09:44:38 +0200

libfann1 (1.1.0-3) unstable; urgency=low

  * fixed bug with two build-depend lines

 -- Steffen Nissen <lukesky@diku.dk>  Mon, 10 May 2004 16:43:24 +0200

libfann1 (1.1.0-2) unstable; urgency=low

  * added docbook-utils to build-depends

 -- Steffen Nissen <lukesky@diku.dk>  Thu,  6 May 2004 16:22:42 +0200

libfann1 (1.1.0-1) unstable; urgency=low

  * My first try at a debian package, please report any errors.
  * Initial Release.

 -- Steffen Nissen <lukesky@diku.dk>  Wed, 31 Mar 2004 09:54:39 +0200
